@grafana
Feature: Test grafana admin login
  As an OAS admin
  I want to be able to login to grafana as the user admin

Scenario: Open grafana
  When I open the grafana URL
  Then I wait on element "//input[@name='user']" for 25000ms to be visible
  And I expect that element "#inputPassword" is visible

Scenario: Login to grafana
  Given the element "//input[@name='user']" is visible
  When I enter the "grafana" "username" in the inputfield "//input[@name='user']"
  And I enter the "grafana" "password" in the inputfield "#inputPassword"
  And I click on the button "//div[@id='login-view']//button[@type='submit']"
  Then I wait on element "/html/body/grafana-app/sidemenu/a" for 25000ms to be visible
  And I expect that the title is "Home - Grafana"
